index

Varkon Interactive users manual

# Surfaces

A surface has two parametric directions, U and V and consists of one or more patches in each direction. A surface with 2 patches in the U direction and 3 patches in the V direction thus has a total of 6 patches. Similar to curves, the number of patches in a surface depends on what type of surface it is and how you create it.

A surface has two sides, positive and negative. When displayed with color in a OpenGL window the positive side of a surface will become bright and shiny while the negative side will become dark and dull. Which is which depends on how you create the surface.

## Methods

- Bounded plane
- Ruled
- Cylinder
- Rotational
- Sweep
- Offset
- Approx

MBS includes many more surface methods. See the MBS entity creation index for more info.

Varkon version 1.19C svn# 97